package main

import (
	"embed"
	"fmt"
	"os"
)

//go:embed assets
var assets embed.FS

func main() {
	files := []string{
		"assets/root.txt",
		"assets/:normal",
		"assets/:alsonormal/file2.txt",
	}

	// check in real file system
	for _, file := range files {
		_, err := os.Open(file)
		if err != nil {
			fmt.Println("[FAILED ] failed open", file, "in real file system:", err)
		} else {
			fmt.Println("[SUCCESS] open", file, "in real file system")
		}
	}

	// check in embedded
	for _, file := range files {
		_, err := assets.Open(file)
		if err != nil {
			fmt.Println("[FAILED ] failed open", file, "in embedded file system", ":", err)
		} else {
			fmt.Println("[SUCCESS] open", file, "in embedded file system")
		}
	}
}
